feldspar-compiler-0.4.0.2: Compiler for the Feldspar language

Feldspar.Compiler.Frontend.CommandLine.API

# Documentation

data CompilationResult

Constructors

CompilationSuccess |
CompilationFailure |

Instances

Eq CompilationResult |
Show CompilationResult |
Typeable CompilationResult |

generalInterpreterBody :: forall a. Typeable (IO a) => String -> Interpreter (IO a)

highLevelInterpreter

Arguments

:: Typeable (IO a) |
=> String |
-> String |
-> [String] |
-> Bool |
-> Bool |
-> Interpreter (IO a) | an interpreter body
-> IO CompilationResult |

printInterpreterError :: InterpreterError -> IO ()